> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a contact

> Retrieves a specified contact.



## OpenAPI

````yaml /openapi.json get /contacts/{id}
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /contacts/{id}:
    get:
      tags:
        - Contacts
      summary: Get a contact
      description: Retrieves a specified contact.
      operationId: GetContactById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: When request is successful. Returns a 'Contact' object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Contact'
        '403':
          description: >-
            When contact with specified id is not associated with authenticated
            client.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: When contact with specified id does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    Contact:
      type: object
      properties:
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        id:
          type: string
          description: Unique identifier of the contact.
          nullable: true
          example: b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2
        externalSystemId:
          type: string
          description: External system id for the contact.
          nullable: true
          example: EXT01
        versionId:
          type: string
          description: Version id of the record.
          nullable: true
          example: 750eb5c5-ac0b-7d11-4997-e0ce9d8896c8
        person:
          allOf:
            - $ref: '#/components/schemas/Person'
          description: Contact person details (if applicable).
          nullable: true
        company:
          allOf:
            - $ref: '#/components/schemas/Company'
          description: Contact company details (if applicable).
          nullable: true
        trust:
          allOf:
            - $ref: '#/components/schemas/Trust'
          description: "Contact trust details (if applicable).\r\n\r\nNote that Trust is only supported in the US. It is not available in other regions."
          nullable: true
        groupOfPeople:
          allOf:
            - $ref: '#/components/schemas/GroupOfPeople'
          description: Contact group details (if applicable).
          nullable: true
        isDeleted:
          type: boolean
          description: Returns true if the contact is deleted.
          example: true
        lastUpdated:
          type: integer
          description: Last updated timestamp.
          format: int64
          example: 637847425252027400
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
          description: Set of contact's tags.
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
    Person:
      type: object
      properties:
        title:
          type: string
          description: "Contact person's title. Accepts custom values.\r\n\r\ne.g. Mr, Mrs, Miss, Honourable, Judge."
          nullable: true
          example: Mr
        firstName:
          type: string
          description: Contact person's first name.
          nullable: true
          example: John
        middleName:
          type: string
          description: Contact person's middle name (if applicable).
          nullable: true
          example: Michael
        lastName:
          type: string
          description: Contact person's last name.
          nullable: true
          example: Smith
        nameSuffix:
          type: string
          description: Contact person's name suffix (if applicable).
          nullable: true
          example: PhD
        customName:
          type: string
          description: Contact person's custom name to be used in letters (if applicable).
          nullable: true
          example: Johnny
        residentialAddress:
          allOf:
            - $ref: '#/components/schemas/Address'
          description: Contact person's residential address details.
          nullable: true
        mailingAddress:
          allOf:
            - $ref: '#/components/schemas/Address'
          description: "Contact person's mailing address details.\r\n\r\nOnly supported in the US."
          nullable: true
        phone:
          allOf:
            - $ref: '#/components/schemas/PhoneNumber'
          description: Contact person's phone details.
          nullable: true
        phone2:
          allOf:
            - $ref: '#/components/schemas/PhoneNumberWithExtension'
          description: Contact person's alternate phone details.
          nullable: true
        fax:
          allOf:
            - $ref: '#/components/schemas/PhoneNumber'
          description: "Contact person's fax details. \r\n\r\nOnly supported in the US."
          nullable: true
        cell:
          allOf:
            - $ref: '#/components/schemas/PhoneNumber'
          description: Contact person's mobile details.
          nullable: true
        email:
          type: string
          description: Contact person's email address.
          nullable: true
          example: john.smith@brown.com
        notes:
          type: string
          description: Additional notes about contact (if applicable).
          nullable: true
          example: Prefers to answer work phone.
        occupation:
          type: string
          description: Contact person's occupation.
          nullable: true
          example: Bookkeeper
        gender:
          type: string
          description: "Contact person's gender.\r\n\r\nAccepted values - Male, Female, Other as well as any free text."
          nullable: true
          example: Male
        maritalStatus:
          type: string
          description: "Contact person's marital status. Accepts custom values.\r\n\r\ne.g. Single, Married, Separated, Divorced, Widowed, De facto."
          nullable: true
          example: Single
        specialNeeds:
          type: string
          description: "Brief description of any special needs (if applicable).\r\n\r\nOnly supported in Australia."
          nullable: true
          example: Wheelchair access
        birthDate:
          type: string
          description: Contact person's date of birth.
          format: date-time
          nullable: true
          example: '1980-07-01'
        birthPlace:
          type: string
          description: Contact person's place of birth.
          nullable: true
          example: Chicago
        birthState:
          type: string
          description: Contact person's birth state.
          nullable: true
          example: Illinois
        birthCountry:
          type: string
          description: Contact person's birth country.
          nullable: true
          example: USA
        identificationNumberType:
          type: string
          description: Contact person's type of identification.
          nullable: true
          example: Passport
        identificationNumber:
          type: string
          description: Contact person's identification number.
          nullable: true
          example: PP123456789
        birthFirstName:
          type: string
          description: Contact person's first name at birth.
          nullable: true
          example: James
        birthMiddleName:
          type: string
          description: Contact person's middle name at birth.
          nullable: true
          example: Thomas
        birthLastName:
          type: string
          description: Contact person's last name at birth.
          nullable: true
          example: Jones
        previousNames:
          type: string
          description: Contact person's previous names.
          nullable: true
          example: Jane Smith
        passportDetails:
          allOf:
            - $ref: '#/components/schemas/PassportDetails'
          description: Contact person's passport details.
          nullable: true
        deathDetails:
          allOf:
            - $ref: '#/components/schemas/DeathDetails'
          description: Contact person's death details.
          nullable: true
        correctionsReferenceNumber:
          type: string
          description: "Contact person's corrections reference number.\r\n\r\nOnly supported in Australia."
          nullable: true
        centrelinkReferenceNumber:
          type: string
          description: "Contact person's centrelink reference number.\r\n\r\nOnly supported in Australia."
          nullable: true
        citizenshipDetails:
          allOf:
            - $ref: '#/components/schemas/CitizenshipDetails'
          description: Contact person's citizenship details.
          nullable: true
        utbmsDetails:
          allOf:
            - $ref: '#/components/schemas/UtbmsDetails'
          description: "Contact's UTBMS Details.\r\n\r\nOnly supported in the US."
          nullable: true
        executionOptions:
          allOf:
            - $ref: '#/components/schemas/PersonExecutionOptions'
          description: "Person's execution options including Power of Attorney and VOI details.\r\n\r\nOnly supported in AU."
          nullable: true
        voiDetails:
          allOf:
            - $ref: '#/components/schemas/VoiDetails'
          description: "Person's verification of identity details.\r\n\r\nOnly supported in AU."
          nullable: true
      additionalProperties: false
    Company:
      type: object
      properties:
        name:
          type: string
          description: Company's name.
          nullable: true
          example: Brown LLC
        type:
          type: string
          description: "Company's type.\r\n\r\nPossible values for US: 'Corporation', 'Government Agency', 'Limited Liability Company', 'Sole Proprietor', 'Partnership', 'Not-for-Profit'\r\n\r\nPossible values for AU: 'Company', 'Sole Proprietor', 'Partnership', 'Government Department'\r\n\r\nPossible values for UK: 'Company', 'Sole Trader', 'Partnership', 'Limited Liability Partnership', 'Government Department'"
          nullable: true
          example: Corporation
        phone:
          allOf:
            - $ref: '#/components/schemas/PhoneNumber'
          description: Company's phone details.
          nullable: true
        fax:
          allOf:
            - $ref: '#/components/schemas/PhoneNumber'
          description: Company's fax details.
          nullable: true
        email:
          type: string
          description: Company's email address.
          nullable: true
          example: contact@brown.com
        website:
          type: string
          description: Company's website URL.
          nullable: true
          example: https://www.brownllc.com
        notes:
          type: string
          description: Additional notes for company (if applicable).
          nullable: true
          example: Construction company
        abn:
          type: string
          description: "For AU: Australian Company Number (ABN) of the firm.\r\n\r\nFor UK: Company Registration Number (CRN) of the firm.\r\n\r\nOnly supported in AU and UK."
          nullable: true
          example: '1234567890'
        companyNumberType:
          type: string
          description: "Company's Australian company number type.\r\n\r\nAccepted values - ACN, ARBN\r\n\r\nOnly supported in AU."
          nullable: true
          example: ACN
        companyNumber:
          type: string
          description: "Company's Australian Company Number.\r\n            \r\nOnly supported in AU."
          nullable: true
          example: '234567890'
        doingBusinessAsName:
          type: string
          description: "Doing Business As (DBA) name.\r\n            \r\nOnly supported in US."
          nullable: true
          example: Brown Holdings
        tradingAs:
          type: string
          description: "Trading As type (e.g. 'Trading As', 'Doing Business As').\r\n            \r\nOnly supported in AU."
          nullable: true
          example: Trading As
        tradingName:
          type: string
          description: "Trading name of the organisation.\r\n            \r\nOnly supported in AU and UK."
          nullable: true
          example: Brown Trading Co
        mailingAddress:
          allOf:
            - $ref: '#/components/schemas/Address'
          description: Company's mailing address details.
          nullable: true
        businessAddress:
          allOf:
            - $ref: '#/components/schemas/AddressWithDxAddress'
          description: Company's business address details.
          nullable: true
        staff:
          type: array
          items:
            $ref: '#/components/schemas/Link'
          description: Company's staff hypermedia links.
          nullable: true
          readOnly: true
        directors:
          type: array
          items:
            $ref: '#/components/schemas/Link'
          description: Company's directors hypermedia links.
          nullable: true
          readOnly: true
        staffIds:
          type: array
          items:
            type: string
          description: >-
            Deprecated - use Staff instead. This field may not be supported in
            future.
          nullable: true
          readOnly: true
        executionOptions:
          allOf:
            - $ref: '#/components/schemas/ExecutionOptions'
          description: "Company's execution options for document signing and VOI details.\r\n\r\nOnly supported in AU."
          nullable: true
      additionalProperties: false
    Trust:
      type: object
      properties:
        name:
          type: string
          description: Trust's name.
          nullable: true
          example: Trinity Trust
        status:
          type: string
          description: "Trust's status.\r\n\r\nStandard values are: as Trustee of, as Trustees of, as Co-Trustees of, as an Individual and as Trustee of, as Successor Trustee of.\r\nA custom value can be supplied instead."
          nullable: true
          example: as Trustee of
        trustNumber:
          type: string
          description: Trust's number.
          nullable: true
          example: '12345678'
        executedDate:
          type: string
          description: Date trust was executed.
          format: date-time
          nullable: true
          example: '1980-07-01'
        phone:
          allOf:
            - $ref: '#/components/schemas/PhoneNumber'
          description: Trust's phone details.
          nullable: true
        fax:
          allOf:
            - $ref: '#/components/schemas/PhoneNumber'
          description: Trust's fax details.
          nullable: true
        address:
          allOf:
            - $ref: '#/components/schemas/Address'
          description: Trust's address.
          nullable: true
        trustees:
          type: array
          items:
            $ref: '#/components/schemas/Trustee'
          description: List of trustees.
          nullable: true
          example:
            - Name: John Smith
              Type: Individual
            - Name: Smithfield Steel
              Type: Company
        contacts:
          type: array
          items:
            $ref: '#/components/schemas/Link'
          description: Trust's contacts hypermedia links.
          nullable: true
          readOnly: true
      additionalProperties: false
    GroupOfPeople:
      type: object
      properties:
        people:
          type: array
          items:
            $ref: '#/components/schemas/Link'
          description: List of contact person hypermedia links.
          nullable: true
        residentialAddress:
          allOf:
            - $ref: '#/components/schemas/Address'
          description: Contact group's residential address details.
          nullable: true
        mailingAddress:
          allOf:
            - $ref: '#/components/schemas/Address'
          description: "Contact group's mailing address details.\r\n            \r\nOnly supported in the US."
          nullable: true
        name:
          type: string
          description: Names of the people in the group. Limited to the first 5 names.
          nullable: true
          example: John Smith & Jane Citizen
      additionalProperties: false
    Tag:
      type: object
      properties:
        id:
          type: string
          description: Identifier of the tag. Role tags do not have an identifier.
          nullable: true
        name:
          type: string
          description: Name of tag.
          nullable: true
        type:
          type: string
          description: Type of tag. Accepted values are 'Role' or 'Custom'
          example: Custom
      additionalProperties: false
      description: Represents a tag with an identifier, name, and type.
    Address:
      type: object
      properties:
        careOf:
          type: string
          description: Care of the addressee (if applicable).
          nullable: true
          example: John Smith
        buildingLevel:
          type: string
          description: Building level in address (if applicable).
          nullable: true
          example: Level 1
        unitNumber:
          type: string
          description: Unit number in address (if applicable).
          nullable: true
          example: '10'
        unitType:
          type: string
          description: "Unit type in address (if applicable). Accepts custom values.\r\n\r\ne.g. Apartment, Unit, Flat, Villa, Suite."
          nullable: true
          example: Suite
        streetNumber:
          type: string
          description: Street number in address.
          nullable: true
          example: '100'
        streetName:
          type: string
          description: Street name in address.
          nullable: true
          example: Broad
        streetType:
          type: string
          description: "Street type. Accepts custom values.\r\n\r\ne.g. Street, Road, Avenue, Lane."
          nullable: true
          example: Street
        addressLine1:
          type: string
          description: First line of address.
          nullable: true
          example: Level 1/10
        addressLine2:
          type: string
          description: Second line of address (if applicable).
          nullable: true
          example: 100 Broad Street
        city:
          type: string
          description: City, district, suburb, town, or village.
          nullable: true
          example: Chicago
        state:
          type: string
          description: State, province, or region.
          nullable: true
          example: IL
        zipCode:
          type: string
          description: Zip or post code.
          nullable: true
          example: '60606'
        locality:
          type: string
          description: "Locality.\r\n\r\nOnly supported in the UK."
          nullable: true
          example: Dunkirk
        county:
          type: string
          description: "County.\r\n\r\nOnly supported in the US and UK."
          nullable: true
          example: New York
        country:
          type: string
          description: Country.
          nullable: true
          example: United States
        poBox:
          allOf:
            - $ref: '#/components/schemas/PoBoxAddress'
          description: PO Box details (if applicable).
          nullable: true
      additionalProperties: false
    PhoneNumber:
      type: object
      properties:
        areaCode:
          type: string
          description: Phone area code.
          nullable: true
          example: '555'
        number:
          type: string
          description: Phone number (excluding area code).
          nullable: true
          example: '1234567'
      additionalProperties: false
    PhoneNumberWithExtension:
      type: object
      properties:
        areaCode:
          type: string
          description: "Phone area code.\r\n\r\nOnly supported in the US."
          nullable: true
          example: '555'
        number:
          type: string
          description: Phone number (excluding area code).
          nullable: true
          example: '1234567'
        extension:
          type: string
          description: Phone number extension.
          nullable: true
          example: '103'
      additionalProperties: false
    PassportDetails:
      type: object
      properties:
        passportNumber:
          type: string
          description: Contact person's passport number.
          nullable: true
          example: AB123456
        passportIssueDate:
          type: string
          description: Contact person's passport issue date.
          format: date-time
          nullable: true
          example: '2010-08-01'
        passportExpireDate:
          type: string
          description: Contact person's passport expiry date.
          format: date-time
          nullable: true
          example: '2030-08-01'
        passportIssueCountry:
          type: string
          description: Contact person's passport country of issue.
          nullable: true
          example: USA
        passportIssueAuthority:
          type: string
          description: "Contact person's passport issuing authority.\r\n            \r\nOnly supported in the UK."
          nullable: true
          example: HM Passport Office
      additionalProperties: false
    DeathDetails:
      type: object
      properties:
        deathDate:
          type: string
          description: Contact person's date of death.
          format: date-time
          nullable: true
          example: '2020-08-01'
        isDeathDateUnknown:
          type: boolean
          description: Whether the person's exact date of death is known.
          example: false
        deathDateFrom:
          type: string
          description: Starting range for person's possible date of death.
          format: date-time
          nullable: true
          example: '2020-08-01'
        deathDateTo:
          type: string
          description: Ending range for person's possible date of death.
          format: date-time
          nullable: true
          example: '2020-08-01'
        deathPlace:
          type: string
          description: Contact person's place of death.
          nullable: true
          example: Chicago
        deathState:
          type: string
          description: "Contact person's death state.\r\n            \r\nOnly supported in AU and US."
          nullable: true
          example: IL
        deathCountry:
          type: string
          description: Contact person's death country.
          nullable: true
          example: USA
        deathCounty:
          type: string
          description: "Contact person's death county.\r\n            \r\nOnly supported in US."
          nullable: true
          example: San Bernardino County
      additionalProperties: false
    CitizenshipDetails:
      type: object
      properties:
        countryOfCitizenship:
          type: string
          description: Country of citizenship
          nullable: true
          example: USA
        nationality:
          type: string
          description: Nationality
          nullable: true
          example: American
        languageOfInterpreter:
          type: string
          description: Language of interpreter
          nullable: true
          example: French
      additionalProperties: false
    UtbmsDetails:
      type: object
      properties:
        ledesClientId:
          type: string
          description: LEDES client Id
          nullable: true
      additionalProperties: false
      description: Utbms Details
    PersonExecutionOptions:
      type: object
      properties:
        poaType:
          type: string
          description: Power of Attorney type.
          nullable: true
          example: Enduring
        poaDate:
          type: string
          description: Date the Power of Attorney was executed
          format: date-time
          nullable: true
          example: '2023-05-15'
        attorneyName:
          type: string
          description: Name of the attorney
          nullable: true
          example: Jane Doe
        address:
          allOf:
            - $ref: '#/components/schemas/Address'
          description: Attorney's address
          nullable: true
        poaRegisteredBook:
          type: string
          description: Power of Attorney registration book reference
          nullable: true
        poaRegisteredNumber:
          type: string
          description: Power of Attorney registration number
          nullable: true
        executionType:
          type: string
          description: Person execution type.
          nullable: true
          example: PowerOfAttorney
        poaVoiDetails:
          allOf:
            - $ref: '#/components/schemas/VoiDetails'
          description: >-
            Verification of identity details for the attorney (Power of
            Attorney)
          nullable: true
      additionalProperties: false
      description: "Execution options for individual persons (Power of Attorney)\r\n\r\nOnly supported in AU."
    VoiDetails:
      type: object
      properties:
        isCompleted:
          type: boolean
          description: Indicates if VOI has been completed
          example: true
        completedDateTime:
          type: string
          description: Date and time when VOI was completed
          format: date-time
          nullable: true
          example: '2024-01-15T10:30:00Z'
        reference:
          type: string
          description: Reference number or order ID from the VOI service
          nullable: true
          example: '12345678'
        source:
          type: string
          description: Source/provider of the VOI service
          nullable: true
          example: InfoTrackID
        status:
          type: string
          description: Current status of the VOI check
          nullable: true
          example: Complete
      additionalProperties: false
      description: "Verification of Identity (VOI) details\r\n\r\nOnly supported in AU."
    AddressWithDxAddress:
      type: object
      properties:
        careOf:
          type: string
          description: Care of the addressee (if applicable).
          nullable: true
          example: John Smith
        buildingLevel:
          type: string
          description: Building level in address (if applicable).
          nullable: true
          example: Level 1
        unitNumber:
          type: string
          description: Unit number in address (if applicable).
          nullable: true
          example: '10'
        unitType:
          type: string
          description: "Unit type in address (if applicable). Accepts custom values.\r\n\r\ne.g. Apartment, Unit, Flat, Villa, Suite."
          nullable: true
          example: Suite
        streetNumber:
          type: string
          description: Street number in address.
          nullable: true
          example: '100'
        streetName:
          type: string
          description: Street name in address.
          nullable: true
          example: Broad
        streetType:
          type: string
          description: "Street type. Accepts custom values.\r\n\r\ne.g. Street, Road, Avenue, Lane."
          nullable: true
          example: Street
        addressLine1:
          type: string
          description: First line of address.
          nullable: true
          example: Level 1/10
        addressLine2:
          type: string
          description: Second line of address (if applicable).
          nullable: true
          example: 100 Broad Street
        city:
          type: string
          description: City, district, suburb, town, or village.
          nullable: true
          example: Chicago
        state:
          type: string
          description: State, province, or region.
          nullable: true
          example: IL
        zipCode:
          type: string
          description: Zip or post code.
          nullable: true
          example: '60606'
        locality:
          type: string
          description: "Locality.\r\n\r\nOnly supported in the UK."
          nullable: true
          example: Dunkirk
        county:
          type: string
          description: "County.\r\n\r\nOnly supported in the US and UK."
          nullable: true
          example: New York
        country:
          type: string
          description: Country.
          nullable: true
          example: United States
        poBox:
          allOf:
            - $ref: '#/components/schemas/PoBoxAddress'
          description: PO Box details (if applicable).
          nullable: true
        dxAddress:
          allOf:
            - $ref: '#/components/schemas/DxAddress'
          description: DX address details (only applicable for AUS).
          nullable: true
      additionalProperties: false
    ExecutionOptions:
      type: object
      properties:
        person1:
          allOf:
            - $ref: '#/components/schemas/ExecutionPerson'
          description: First authorized person for execution
          nullable: true
        person2:
          allOf:
            - $ref: '#/components/schemas/ExecutionPerson'
          description: Second authorized person for execution
          nullable: true
        executingUnder127:
          type: boolean
          description: Indicates if executing under section 127
          nullable: true
        executingAuthority:
          type: string
          description: Executing authority details
          nullable: true
        sealType:
          type: string
          description: Seal type for execution.
          nullable: true
          example: WithSeal
        authorisedDepositTakingInstitution:
          type: boolean
          description: >-
            Indicates if organization is an Authorised Deposit Taking
            Institution
          nullable: true
        poaRegistrationNumber:
          type: string
          description: Power of Attorney registration number
          nullable: true
        attorneyNames:
          type: array
          items:
            type: string
          description: List of attorney names
          nullable: true
        executionType:
          type: string
          description: Execution type.
          nullable: true
          example: JointDirectors
      additionalProperties: false
      description: "Execution options for organizations\r\n\r\nOnly supported in AU."
    Trustee:
      type: object
      properties:
        name:
          type: string
          description: Trustee's name.
          nullable: true
          example: John Smith
        type:
          type: string
          description: "Type of trustee.\r\n\r\nStandard values are: Company, Individual.\r\nA custom value can be supplied instead."
          nullable: true
          example: Individual
      additionalProperties: false
    PoBoxAddress:
      type: object
      properties:
        careOf:
          type: string
          description: Care of the addressee (if applicable).
          nullable: true
          example: John Smith
        poBoxType:
          type: string
          description: "PO Box type. Accepts custom values.\r\n            \r\ne.g. Care PO, PO Box, Locked Bag, RMS."
          nullable: true
          example: Locked Bag
        poBoxNumber:
          type: string
          description: PO Box number.
          nullable: true
          example: '12345'
        city:
          type: string
          description: City, district, suburb, town, or village.
          nullable: true
          example: Chicago
        state:
          type: string
          description: State, province, or region.
          nullable: true
          example: IL
        zipCode:
          type: string
          description: Zip or post code.
          nullable: true
          example: '60606'
      additionalProperties: false
    DxAddress:
      type: object
      properties:
        number:
          type: string
          description: Direct Exchange number (if applicable).
          nullable: true
          example: '376'
        exchange:
          type: string
          description: Direct Exchange name.
          nullable: true
          example: DX
        state:
          type: string
          description: State, province, or region.
          nullable: true
          example: NSW
      additionalProperties: false
    ExecutionPerson:
      type: object
      properties:
        name:
          type: string
          description: Person's full name
          nullable: true
          example: John Smith
        address:
          allOf:
            - $ref: '#/components/schemas/Address'
          description: Person's address
          nullable: true
        personType:
          type: string
          description: "Person type for execution.\r\n\r\nOnly supported in AU."
          nullable: true
          example: Director
        selectedOfficeHeld:
          type: string
          description: Office held by the person.
          nullable: true
          example: Director
        voiDetails:
          allOf:
            - $ref: '#/components/schemas/VoiDetails'
          description: Verification of identity details for this person
          nullable: true
      additionalProperties: false
      description: "Represents an authorized person for organization execution\r\n\r\nOnly supported in AU."
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````